Loading...
Searching...
No Matches
BALL::AssignChargeProcessor Class Reference
Molecular Modeling » Molecular Structure » Miscellaneous

`#include <BALL/STRUCTURE/defaultProcessors.h>`

Inheritance diagram for BALL::AssignChargeProcessor:

## Public Member Functions

| AssignChargeProcessor ()
| Default constructor.
| AssignChargeProcessor (const String &filename)
virtual bool | start ()
virtual Processor::Result | operator() (Atom &atom)
float | getTotalCharge ()
Public Member Functions inherited from BALL::AssignRadiusProcessor
| AssignRadiusProcessor ()
| Default constructor.
| AssignRadiusProcessor (const String &filename)
virtual bool | finish ()
void | setFilename (const String &filename)
String & | getFilename ()
Size | getNumberOfAssignments ()
Size | getNumberOfErrors ()
Public Member Functions inherited from BALL::UnaryProcessor< Atom >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()

## Protected Attributes

float | total_charge_
Protected Attributes inherited from BALL::AssignRadiusProcessor
String | filename_
StringHashMap< float > | table_
Size | number_of_errors_
Size | number_of_assignments_

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
Protected Member Functions inherited from BALL::AssignRadiusProcessor
bool | buildTable_ ()

## Detailed Description

Assigns a charge to each atom. This processor reads a charge table from a file and assigns each atom a charge according to its name and the name of the fragment the atom is contained in.

Definition at line 144 of file defaultProcessors.h.

## Constructor & Destructor Documentation

## AssignChargeProcessor() [1/2]

BALL::AssignChargeProcessor::AssignChargeProcessor | ( |  | ) |

Default constructor.

## AssignChargeProcessor() [2/2]

BALL::AssignChargeProcessor::AssignChargeProcessor | ( | const String & | filename | ) |

Detailled constructor.

Exceptions

  BALL::Exception::FileNotFound | if the file can not be found in the actual path.

## Member Function Documentation

## getTotalCharge()

float BALL::AssignChargeProcessor::getTotalCharge | ( |  | ) |

Returns the net assigned charge for all atoms.

## operator()()

virtual Processor::Result BALL::AssignChargeProcessor::operator() | ( | Atom & | atom | ) |

virtual

Applicator method. This method works like its counterpart in AssignRadiusProcessor, but for charges.

See also
  AssignRadiusProcessor::operator()

Reimplemented from BALL::AssignRadiusProcessor.

## start()

virtual bool BALL::AssignChargeProcessor::start | ( |  | ) |

virtual

Start Method. The number of errors and the numbers of assignments are reset to 0. The charge data from the file is extracted.

Returns
  bool, always true

Reimplemented from BALL::AssignRadiusProcessor.

## Member Data Documentation

## total_charge_

float BALL::AssignChargeProcessor::total_charge_

protected

Definition at line 177 of file defaultProcessors.h.